/**
 * Created by Mai on 2017/8/29.
 */
const fixedFlag = {
    // 建筑安装工程费
    CONSTRUCTION_INSTALL_FEE: 1,
    // 土地使用及拆迁补偿费
    LAND_USED_DEMOLITION: 2,
    // 养护工程其他费用
    MAINTENANCE_EXPENSES: 3,
    // 预备费
    BUDGET_FEE: 4,
    // 基本预备费
    BASE_BUDGET_FEE: 5,
    // 价差预备费
    SPREAD_BUDGET_FEE: 6,
    // 一二三四部分合计
    ONE_TO_FOUR_TOTAL: 7,
    // 贷款利息
    LOAN_INTEREST: 8,
    // 总造价
    TOTAL_COST: 9,
    // 设备购置费
    EQUIPMENT_ACQUISITION_FEE: 10,
    // 专项费用 Special cost
    SPECIAL_COST: 11,
    // 施工场地建设费
    CONSTRUCTION_PLANT_COST: 12,
    // 养护单位(业主)管理费
    MAINTENANCE_MANAGENENT_FEE: 13,
    // 信息化费 Informatization fee
    INFORMATIZATION_FEE: 14,
    // 工程监理费 Engineering supervision fee
    ENGINEERING_SUP_FEE: 15,
    // 设计文件审查费 Design Document Review Fee
    DOCUMENT_REVIEW_FEE: 16,
    // 勘察设计费 Survey and design fees
    SURVEY_DESIGN_FEE: 17,
    // 招标代理及标底编制费 Bidding Agent and Preparing Fee of Bid Base
    AGENT_BASE_FEE: 18,
    //第100章至700章清单
    ONE_SEVEN_BILLS: 19,
    //专项暂定合计
    PROVISIONAL_TOTAL: 20,
    //清单合计扣除专项暂定合计
    BILLS_TOTAL_WT_PROV: 21,
    //计日工 daywork labor
    DAYWORK_LABOR: 22,
    //劳务
    LABOUR_SERVICE:23,
    //材料
    MATERIAL:24,
    //施工机械
    CONSTRUCTION_MACHINE:25,
    //暂列金额
    PROVISIONAL:26,
    //安全生产费
    SAFE_COST:27
};
/*建筑安装工程费、土地使用及拆迁补偿费、养护工程其他费用、预备费、基本预备费、价差预备费、一二三四部分合计、贷款利息、总造价、

 设备购置费、专项费用、施工场地建设费、养护单位(业主)管理费、信息化费、工程监理费、设计文件审查费、勘察设计费、招标代理及标底编制费、

 第100章至700章清单、专项暂定合计、清单合计扣除专项暂定合计、计日工、劳务、材料、施工机械、暂列金额。*/
const fixedFlagList = [
    {name: "建筑安装工程费", value: fixedFlag.CONSTRUCTION_INSTALL_FEE},
    {name: "土地使用及拆迁补偿费", value: fixedFlag.LAND_USED_DEMOLITION},
    {name: "养护工程其他费用", value: fixedFlag.MAINTENANCE_EXPENSES},
    {name: "预备费", value: fixedFlag.BUDGET_FEE},
    {name: "基本预备费", value: fixedFlag.BASE_BUDGET_FEE},
    {name: "价差预备费", value: fixedFlag.SPREAD_BUDGET_FEE},
    {name: "一二三四部分合计", value: fixedFlag.ONE_TO_FOUR_TOTAL},
    {name: "贷款利息", value: fixedFlag.LOAN_INTEREST},
    {name: "总造价", value: fixedFlag.TOTAL_COST},
    {name: "设备购置费", value: fixedFlag.EQUIPMENT_ACQUISITION_FEE},
    {name: "专项费用", value: fixedFlag.SPECIAL_COST},
    {name: "施工场地建设费", value: fixedFlag.CONSTRUCTION_PLANT_COST},
    {name: "养护单位(业主)管理费", value: fixedFlag.MAINTENANCE_MANAGENENT_FEE},
    {name: "信息化费", value: fixedFlag.INFORMATIZATION_FEE},
    {name: "工程监理费", value: fixedFlag.ENGINEERING_SUP_FEE},
    {name: "设计文件审查费", value: fixedFlag.DOCUMENT_REVIEW_FEE},
    {name: "勘察设计费", value: fixedFlag.SURVEY_DESIGN_FEE},
    {name: "招标代理及标底编制费", value: fixedFlag.AGENT_BASE_FEE},
    {name: "第100章至700章清单", value: fixedFlag.ONE_SEVEN_BILLS},
    {name: "专项暂定合计", value: fixedFlag.PROVISIONAL_TOTAL},
    {name: "清单合计扣除专项暂定合计", value: fixedFlag.BILLS_TOTAL_WT_PROV},
    {name: "计日工", value: fixedFlag.DAYWORK_LABOR},
    {name: "劳务", value: fixedFlag.LABOUR_SERVICE},
    {name: "材料", value: fixedFlag.MATERIAL},
    {name: "施工机械", value: fixedFlag.CONSTRUCTION_MACHINE},
    {name: "暂列金额", value: fixedFlag.PROVISIONAL},
    {name:"安全生产费",value:fixedFlag.SAFE_COST}
];

export {fixedFlag as default, fixedFlagList as List};
