'use strict';

/**
 *
 *
 * @author Zhong
 * @date 2018/8/31
 * @version
 */

//计税方式
const taxModel = {'common': 1, 'simple': 2};
//价格属性：计税方式
const pricePropertiesTemplate = [
    {
        region: '全省',
        taxModel: taxModel.common,
        price: {
            dataCode: 'price1',
            dataName: '单价-一般'
        }
    },
    {
        region: '全省',
        taxModel: taxModel.simple,
        price: {
            dataCode: 'price2',
            dataName: '单价-简易'
        }
    }
];

//消耗量属性：计税方式
const consumeAmtPropertiesTemplate = [
    {
        region: '全省',
        taxModel: taxModel.common,
        consumeAmt: {
            dataCode: 'consumeAmt1',
            dataName: '消耗-一般',
            refPrice: 'price1' //关联的单价字段
        }
    },
    {
        region: '全省',
        taxModel: taxModel.simple,
        consumeAmt: {
            dataCode: 'consumeAmt2',
            dataName: '消耗-简易',
            refPrice: 'price2' //关联的单价字段
        }
    }
];

if(typeof module !== 'undefined'){
    module.exports = {
        pricePropertiesTemplate: pricePropertiesTemplate,
        consumeAmtPropertiesTemplate: consumeAmtPropertiesTemplate
    };
}
